<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button class="btn btn-success px-4 py-2" [disabled]="loading" (click)="iniciarAuditoria()">
    <i class="fas fa-play mr-2"></i>Iniciar
  </button>
  <button class="btn btn-danger px-4 py-2 ml-1" [disabled]="!loading" (click)="stopAuditoria()">
    <i class="fas fa-stop mr-2"></i>Detener
  </button>
</app-page-title>

<div class="text-center text-dark font-weight-bold" *ngIf="flagCancelar">
  Cancelando Auditoria, espere un momento...
</div>
<div class="text-center text-dark font-weight-bold" *ngIf="loading">
  Procesando reportes... No refrescar ó cerrar esta ventana hasta que la auditoria termine...
</div>

<mat-progress-bar mode="indeterminate" *ngIf="loading" class="m-1"></mat-progress-bar>

<div class="card">
  <div class="card-body">
    <div class="form-group text-center text-primary">
      <h5>La Auditoría Realizará los Siguientes Procesos</h5>
      <h6 class="text-dark" *ngIf="fechaProc"><strong>Fecha a procesar {{ fechaProc }}</strong></h6>
    </div>

    <div class="divider"></div>

    <div class="row d-flex justify-content-center">
      <ng-container *ngFor="let etiqueta of dsEtiquetas">
        <div class="form-group col-md-6 col-lg-5" *ngIf="etiqueta">
          <i class="fas fa-check mr-2 text-success"></i> {{ etiqueta }}
        </div>
      </ng-container>
    </div>
  </div>
</div>